org.apache.lucene.analysis.payloads

## Class DelimitedPayloadTokenFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.payloads.DelimitedPayloadTokenFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class DelimitedPayloadTokenFilter
      extends TokenFilter

  Characters before the delimiter are the "token", those after are the payload.

  For example, if the delimiter is '|', then for the string "foo|bar", foo is the token and "bar" is a payload.

  Note, you can also include a `PayloadEncoder` to convert the payload in an appropriate way (from characters to bytes).

  Note make sure your Tokenizer doesn't split on the delimiter, or this won't work
  See Also:
    `PayloadEncoder`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.AttributeFactory, AttributeSource.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `DEFAULT_DELIMITER`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelimitedPayloadTokenFilter(TokenStream input, char delimiter, PayloadEncoder encoder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DELIMITER

          public static final char DEFAULT_DELIMITER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DelimitedPayloadTokenFilter

          public DelimitedPayloadTokenFilter(TokenStream input,
                                     char delimiter,
                                     PayloadEncoder encoder)

  - ### Method Detail

    - #### incrementToken

          public boolean incrementToken()
                                 throws IOException

      Specified by:
        `incrementToken` in class `TokenStream`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.